[package]
name = "ksiegarnia"
version = "0.1.0"
edition = "2021"

[dependencies]
actix-web = "4.4.0"
actix-cors = "0.7.0"
actix-files = "0.6.2"
env_logger = "0.11"
dotenv = "0.15"
sqlx = { version = "0.7.4", features = ["postgres", "runtime-tokio-native-tls", "macros", "chrono", "bigdecimal"] }
serde = { version = "1.0", features = ["derive"] }
serde_json = "1.0"
tokio = { version = "1.0", features = ["macros", "rt-multi-thread"] }
log = "0.4"
bcrypt = "0.15"
rust_decimal = { version = "1.37.1", features = ["serde", "db-postgres"] }
bigdecimal = { version = "0.3.0", features = ["serde"] }
regex = "1.10.4"
chrono = { version = "0.4", features = ["serde"] }
chrono-tz = "0.8"
futures = "0.3"

